Bug 242295

Summary: security/gnupg: Build Error
Product: Ports & Packages Reporter: Ekkehard 'Ekki' Gehm <gehm>
Component: Individual Port(s)Assignee: Adam Weinberger <adamw>
Status: Closed Works As Intended    
Severity: Affects Many People CC: freebsd
Priority: --- Flags: bugzilla: maintainer-feedback? (adamw)
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
The Config.log from the work dir none

Description Ekkehard 'Ekki' Gehm 2019-11-29 11:18:07 UTC
Base: FreeBSD 12.0-RELEASE-p6 GENERIC  amd64
PortVersion: gnupg-2.2.18


The port stops building with:

makeinfo: unrecognized option `--css-ref=/share/site.css'
Try `makeinfo --help' for more information.
gmake[4]: *** [Makefile:586: gnupg.info] Error 1
gmake[4]: *** Waiting for unfinished jobs....
Comment 1 Adam Weinberger freebsd_committer 2019-11-29 16:05:58 UTC
I can't replicate it, so I'll need more information than those four lines. A good start would be the full build log, the list of ports you have installed, information about how you're building (i.e. what program you're using to build it), and the contents of your /etc/make.conf.
Comment 2 Ekkehard 'Ekki' Gehm 2019-12-13 11:54:04 UTC
Sorry: Yes, that was a bit short ;-)

latest portsnap....

make.conf:
WRKDIRPREFIX=           /var/ports

NO_LPR=yes
DEFAULT_VERSIONS+=      apache=2.4
DEFAULT_VERSIONS+=      perl5=5.28
DEFAULT_VERSIONS+=      ssl=openssl
OPTIONS_UNSET=CUPS X11 INFO

SENDMAIL_CFLAGS=-I/usr/local/include -DSASL=2
SENDMAIL_LDFLAGS=-L/usr/local/lib
SENDMAIL_LDADD=-lsasl2

SU_CMD=sudo -E sh -c


System Info:
12.0-RELEASE-p6 FreeBSD 12.0-RELEASE-p6 GENERIC  amd64


Build-log
----8<------
===>  Building for gnupg-2.2.19
gmake[2]: Entering directory '/var/ports/usr/ports/security/gnupg/work/gnupg-2.2.19'
gmake  all-recursive
gmake[3]: Entering directory '/var/ports/usr/ports/security/gnupg/work/gnupg-2.2.19'
Making all in m4
gmake[4]: Entering directory '/var/ports/usr/ports/security/gnupg/work/gnupg-2.2.19/m4'
gmake[4]: Nothing to be done for 'all'.
gmake[4]: Leaving directory '/var/ports/usr/ports/security/gnupg/work/gnupg-2.2.19/m4'
Making all in common
gmake[4]: Entering directory '/var/ports/usr/ports/security/gnupg/work/gnupg-2.2.19/common'
gmake  all-am
gmake[5]: Entering directory '/var/ports/usr/ports/security/gnupg/work/gnupg-2.2.19/common'
gmake[5]: Nothing to be done for 'all-am'.
gmake[5]: Leaving directory '/var/ports/usr/ports/security/gnupg/work/gnupg-2.2.19/common'
gmake[4]: Leaving directory '/var/ports/usr/ports/security/gnupg/work/gnupg-2.2.19/common'
Making all in kbx
gmake[4]: Entering directory '/var/ports/usr/ports/security/gnupg/work/gnupg-2.2.19/kbx'
gmake[4]: Nothing to be done for 'all'.
gmake[4]: Leaving directory '/var/ports/usr/ports/security/gnupg/work/gnupg-2.2.19/kbx'
Making all in g10
gmake[4]: Entering directory '/var/ports/usr/ports/security/gnupg/work/gnupg-2.2.19/g10'
gmake[4]: Nothing to be done for 'all'.
gmake[4]: Leaving directory '/var/ports/usr/ports/security/gnupg/work/gnupg-2.2.19/g10'
Making all in sm
gmake[4]: Entering directory '/var/ports/usr/ports/security/gnupg/work/gnupg-2.2.19/sm'
gmake[4]: Nothing to be done for 'all'.
gmake[4]: Leaving directory '/var/ports/usr/ports/security/gnupg/work/gnupg-2.2.19/sm'
Making all in agent
gmake[4]: Entering directory '/var/ports/usr/ports/security/gnupg/work/gnupg-2.2.19/agent'
gmake[4]: Nothing to be done for 'all'.
gmake[4]: Leaving directory '/var/ports/usr/ports/security/gnupg/work/gnupg-2.2.19/agent'
Making all in scd
gmake[4]: Entering directory '/var/ports/usr/ports/security/gnupg/work/gnupg-2.2.19/scd'
gmake[4]: Nothing to be done for 'all'.
gmake[4]: Leaving directory '/var/ports/usr/ports/security/gnupg/work/gnupg-2.2.19/scd'
Making all in dirmngr
gmake[4]: Entering directory '/var/ports/usr/ports/security/gnupg/work/gnupg-2.2.19/dirmngr'
gmake[4]: Nothing to be done for 'all'.
gmake[4]: Leaving directory '/var/ports/usr/ports/security/gnupg/work/gnupg-2.2.19/dirmngr'
Making all in tools
gmake[4]: Entering directory '/var/ports/usr/ports/security/gnupg/work/gnupg-2.2.19/tools'
gmake[4]: Nothing to be done for 'all'.
gmake[4]: Leaving directory '/var/ports/usr/ports/security/gnupg/work/gnupg-2.2.19/tools'
Making all in po
gmake[4]: Entering directory '/var/ports/usr/ports/security/gnupg/work/gnupg-2.2.19/po'
gmake[4]: Leaving directory '/var/ports/usr/ports/security/gnupg/work/gnupg-2.2.19/po'
Making all in doc
gmake[4]: Entering directory '/var/ports/usr/ports/security/gnupg/work/gnupg-2.2.19/doc'
: >defsincdate ; \
if test -e ../.git; then \
  (cd . && git log -1 --format='%ct' \
               -- gpg.texi gpgsm.texi gpg-agent.texi scdaemon.texi instguide.texi tools.texi debugging.texi glossary.texi contrib.texi gpl.texi sysnotes.texi dirmngr.texi wks.texi gnupg-module-overview.svg gnupg-card-architecture.fig howtos.texi howto-create-a-server-cert.texi 2>/dev/null) >>defsincdate; \
fi
incd="`test -f defsincdate || echo './'`defsincdate"; \
./mkdefsinc -C . --date "`cat $incd 2>/dev/null`" \
    gpg.texi gpgsm.texi gpg-agent.texi scdaemon.texi instguide.texi tools.texi debugging.texi glossary.texi contrib.texi gpl.texi sysnotes.texi dirmngr.texi wks.texi gnupg-module-overview.svg gnupg-card-architecture.fig howtos.texi howto-create-a-server-cert.texi >defs.inc
mkdefsinc: taking date from 'gpg.texi'
gmake  all-am
gmake[5]: Entering directory '/var/ports/usr/ports/security/gnupg/work/gnupg-2.2.19/doc'
restore=: && backupdir=".am$$" && \
am__cwd=`pwd` && CDPATH="${ZSH_VERSION+.}:" && cd . && \
rm -rf $backupdir && mkdir $backupdir && \
if (/bin/sh /var/ports/usr/ports/security/gnupg/work/gnupg-2.2.19/build-aux/missing makeinfo --version) >/dev/null 2>&1; then \
  for f in gnupg.info gnupg.info-[0-9] gnupg.info-[0-9][0-9] gnupg.i[0-9] gnupg.i[0-9][0-9]; do \
    if test -f $f; then mv $f $backupdir; restore=mv; else :; fi; \
  done; \
else :; fi && \
cd "$am__cwd"; \
if /bin/sh /var/ports/usr/ports/security/gnupg/work/gnupg-2.2.19/build-aux/missing makeinfo -I . --css-ref=/share/site.css  -I . \
 -o gnupg.info gnupg.texi; \
then \
  rc=0; \
  CDPATH="${ZSH_VERSION+.}:" && cd .; \
else \
  rc=$?; \
  CDPATH="${ZSH_VERSION+.}:" && cd . && \
  $restore $backupdir/* `echo "./gnupg.info" | sed 's|[^/]*$||'`; \
fi; \
rm -rf $backupdir; exit $rc
incd="`test -f defsincdate || echo './'`defsincdate"; \
for file in gnupg7.texi gpg.texi gpgsm.texi gpg-agent.texi dirmngr.texi scdaemon.texi tools.texi wks.texi ; do \
              /usr/local/bin/yat2m -I . --release "GnuPG 2.2.19" --source "GNU Privacy Guard 2.2" --store \
                  --date "`cat $incd 2>/dev/null`" \
          `test -f '$file' || echo './'`$file ; done
yat2m: writing 'gnupg.7'
makeinfo: unrecognized option `--css-ref=/share/site.css'
Try `makeinfo --help' for more information.
gmake[5]: *** [Makefile:586: gnupg.info] Error 1
gmake[5]: *** Waiting for unfinished jobs....
yat2m: writing 'gpg2.1'
yat2m: writing 'gpgsm.1'
yat2m: writing 'gpg-agent.1'
yat2m: writing 'dirmngr.8'
yat2m: writing 'scdaemon.1'
yat2m: writing 'watchgnupg.1'
yat2m: writing 'gpgv2.1'
yat2m: writing 'addgnupghome.8'
yat2m: writing 'gpgconf.1'
yat2m: writing 'applygnupgdefaults.8'
yat2m: writing 'gpg-preset-passphrase.1'
yat2m: writing 'gpg-connect-agent.1'
yat2m: writing 'dirmngr-client.1'
yat2m: writing 'gpgparsemail.1'
yat2m: writing 'symcryptrun.1'
yat2m: writing 'gpgtar.1'
yat2m: writing 'gpg-wks-client.1'
yat2m: writing 'gpg-wks-server.1'
gmake[5]: Leaving directory '/var/ports/usr/ports/security/gnupg/work/gnupg-2.2.19/doc'
gmake[4]: *** [Makefile:550: all] Error 2
gmake[4]: Leaving directory '/var/ports/usr/ports/security/gnupg/work/gnupg-2.2.19/doc'
gmake[3]: *** [Makefile:615: all-recursive] Error 1
gmake[3]: Leaving directory '/var/ports/usr/ports/security/gnupg/work/gnupg-2.2.19'
gmake[2]: *** [Makefile:535: all] Error 2
gmake[2]: Leaving directory '/var/ports/usr/ports/security/gnupg/work/gnupg-2.2.19'
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/security/gnupg
*** Error code 1

Stop.
make: stopped in /usr/ports/security/gnupg
Comment 3 Adam Weinberger freebsd_committer 2019-12-13 12:57:45 UTC
Something in your environment is contaminating the build. I still need to know:

(a) how you're building it (what command you're using... make install? portmaster? portupgrade?)

(b) what ports you have installed, to see what might be contaminating the build

(c) the full build log, to see how your log differs from the clean build (i.e. in poudriere, which we highly highly highly advise that everybody use instead of portmaster/portupgrade/etc).

I'm not asking for these things to be pedantic. I'm asking because I really can't begin to diagnose the problem without the rest of the data.

You're not the only one who's hit this bug. I don't know where it's coming from. This is the exact reason why we beg people not to use portmaster/portupgrade. Environment contamination is extremely difficult to diagnose.
Comment 4 Ekkehard 'Ekki' Gehm 2019-12-13 13:11:57 UTC
(In reply to Adam Weinberger from comment #3)

No worries!!!!

a) It's a "cd /usr/ports/security/gnupg && make install clean"

b) 
% pkg info
amanda-client-3.3.9_4,1        Advanced Maryland Automatic Network Disk Archiver (client)
amanda-perl-wrapper-1.01       Perl wrapper to use with Amanda (with libthr.so.* linked)
apache24-2.4.41                Version 2.4.x of Apache web server
apr-1.7.0.1.6.1                Apache Portability Library
autoconf-2.69_3                Automatically configure source code on many Un*x platforms
autoconf-wrapper-20131203      Wrapper script for GNU autoconf
automake-1.16.1_2              GNU Standards-compliant Makefile generator
avahi-app-0.7_2                Service discovery on a local network
bash-5.0.11                    GNU Project's Bourne Again SHell
binutils-2.32_1,1              GNU binary tools
bison-3.4.2,1                  Parser generator from FSF, (mostly) compatible with Yacc
brotli-1.0.7_2,1               Generic-purpose lossless compression algorithm
ca_root_nss-3.48               Root certificate bundle from the Mozilla Project
cairo-1.16.0,2                 Vector graphics library with cross-device output support
cclient-2007f_3,1              C-client mail access routines by Mark Crispin
cmake-3.15.5                   Cross-platform Makefile generator
cmocka-1.1.5                   Unit testing framework for C with support for mock objects
cups-2.2.12                    Common UNIX Printing System
curl-7.67.0                    Command line tool and library for transferring data with URLs
cyrus-sasl-2.1.27              RFC 2222 SASL (Simple Authentication and Security Layer)
db5-5.3.28_7                   Oracle Berkeley DB, revision 5.3
dbus-1.12.16                   Message bus system for inter-application communication
dbus-glib-0.110                GLib bindings for the D-BUS messaging system
dialog4ports-0.1.6             Console Interface to configure ports
docbook-1.5                    Meta-port for the different versions of the DocBook DTD
docbook-sgml-4.5_1             DocBook SGML DTD
docbook-xml-5.0_3              DocBook XML DTD
docbook-xsl-1.79.1_1,1         XSL DocBook stylesheets
expat-2.2.8                    XML 1.0 parser written in C
fontconfig-2.12.6,1            XML-based font configuration API for X Windows
fping-4.2                      Quickly ping multiple hosts without flooding the network
freetds-1.1.23,1               Sybase/Microsoft TDS protocol library
freetype2-2.10.1               Free and portable TrueType font rendering engine
gamin-0.1.10_10                File and directory monitoring system
gdbm-1.18.1_1                  GNU database manager
geoipupdate-4.0.5              Fetch the latest copies of the GeoIP2 databases
gettext-runtime-0.20.1         GNU gettext runtime libraries and programs
gettext-tools-0.20.1_1         GNU gettext development and translation tools
ghc-8.6.5_3                    Compiler for the functional language Haskell
giflib-5.2.1                   Tools and library routines for working with GIF images
glib-2.56.3_6,1                Some useful routines of C programming (current stable version)
gmake-4.2.1_3                  GNU version of 'make' utility
gmp-6.1.2_1                    Free library for arbitrary precision arithmetic
gnome_subr-1.0                 Common startup and shutdown subroutines used by GNOME scripts
gnupg1-1.4.23_2                The GNU Privacy Guard (minimalist "classic" version)
gnutls-3.6.10                  GNU Transport Layer Security library
go-1.13.5,1                    Go programming language
go14-1.4.3_6                   Go programming language
gobject-introspection-1.56.1,1 Generate interface introspection data for GObject libraries
gpgme-1.13.1                   Library to make access to GnuPG easier
graphite2-1.3.13_1             Rendering capabilities for complex non-Roman writing systems
gtar-1.32                      GNU version of the traditional tape archiver
help2man-1.47.11               Automatically generating simple manual pages from program output
html2text-1.3.2a               Converts HTML documents into plain text
icu-65.1,1                     International Components for Unicode (from IBM)
indexinfo-0.3.1                Utility to regenerate the GNU info page index
intltool-0.51.0_1              Tools to internationalize various kinds of data files
iso8879-1986_3                 Character entity sets from ISO 8879:1986 (SGML)
jansson-2.12                   C library for encoding, decoding, and manipulating JSON data
jbig2dec-0.16                  Decoder implementation of the JBIG2 image compression format
jbigkit-2.1_1                  Lossless compression for bi-level images such as scanned pages, faxes
jpeg-turbo-2.0.3               SIMD-accelerated JPEG codec which replaces libjpeg
jsoncpp-1.8.1_7                JSON reader and writer library for C++
lcms2-2.9                      Accurate, fast, and small-footprint color management engine
ldb-1.1.29_3                   LDAP-like embedded database
ldns-1.7.1_1                   Library for programs conforming to DNS RFCs and drafts
libICE-1.0.10,1                Inter Client Exchange library for X11
libSM-1.2.3,1                  Session Management library for X11
libX11-1.6.9,1                 X11 library
libXau-1.0.9                   Authentication Protocol library for X11
libXaw-1.0.13_3,2              X Athena Widgets library
libXdamage-1.1.5               X Damage extension library
libXdmcp-1.1.3                 X Display Manager Control Protocol library
libXext-1.3.4,1                X11 Extension library
libXfixes-5.0.3_2              X Fixes extension library
libXmu-1.1.3,1                 X Miscellaneous Utilities libraries
libXpm-3.5.12_2                X Pixmap library
libXrender-0.9.10_2            X Render extension library
libXt-1.2.0,1                  X Toolkit library
libXxf86vm-1.1.4_3             X Vidmode Extension
libarchive-3.4.0,1             Library to create and read several streaming archive formats
libargon2-20190702             Memory hard password hashing program and library
libart_lgpl-2.3.21_3,1         Library for high-performance 2D graphics
libassuan-2.5.3                IPC library used by GnuPG and gpgme
libdaemon-0.14_1               Lightweight C library that eases the writing of UNIX daemons
libdbi-0.9.0_3                 Database Independent Abstraction Layer for C
libdiff-0.1.0                  Library to generate arbitrary sequence diffs
libdrm-2.4.99,1                Userspace interface to kernel Direct Rendering Module services
libedit-3.1.20190324,1         Command line editor library
libepoll-shim-0.0.20190311     epoll shim implemented using kevent
libevent-2.1.11                API for executing callback functions on events or timeouts
libffi-3.2.1_3                 Foreign Function Interface
libgcrypt-1.8.5                General purpose cryptographic library based on the code from GnuPG
libgd-2.2.5_2,1                Graphics library for fast creation of images
libgpg-error-1.36              Common error values for all GnuPG components
libiconv-1.14_11               Character set conversion library
libidn-1.35                    Internationalized Domain Names command line tool
libidn2-2.3.0                  Implementation of IDNA2008 internationalized domain names
libinotify-20180201_1          Kevent based inotify compatible library
libksba-1.3.5_1                KSBA is an X.509 Library
libltdl-2.4.6                  System independent dlopen wrapper
liblz4-1.9.2,1                 LZ4 compression library, lossless and very fast
libmaxminddb-1.4.2             Library for the MaxMind DB file format used for GeoIP2
libnghttp2-1.40.0              HTTP/2.0 C Library
libpaper-1.1.24.4              Library providing routines for paper size management
libpciaccess-0.16              Generic PCI access library
libpotrace-1.12                Library for transforming bitmaps into vector graphics
libpthread-stubs-0.4           This library provides weak aliases for pthread functions
libspf2-1.2.10_2               Sender Rewriting Scheme 2 C Implementation
libsunacl-1.0.1                Wrapper providing SunOS NFSv4 ACL API
libtasn1-4.15.0                ASN.1 structure parser library
libtextstyle-0.20.1            Text styling library
libtool-2.4.6_1                Generic shared library support script
libtorrent-0.13.8              BitTorrent Library written in C++
libunistring-0.9.10_1          Unicode string library
libunwind-20170615             Generic stack unwinding library
libuv-1.34.0                   Multi-platform support library with a focus on asynchronous I/O
libwww-5.4.2                   W3C Reference Library
libxcb-1.13.1                  The X protocol C-language Binding (XCB) library
libxml2-2.9.10                 XML parser library for GNOME
libxshmfence-1.3               Shared memory 'SyncFence' synchronization primitive
libxslt-1.1.34                 The XSLT C library for GNOME
libyaml-0.2.2                  YAML 1.1 parser and emitter written in C
libzip-1.5.2                   C library for reading, creating, and modifying ZIP archives
llvm60-6.0.1_7                 LLVM and Clang
llvm80-8.0.1_3                 LLVM and Clang
lowdown-0.4.6                  Simple Markdown translator
lua52-5.2.4                    Small, compilable scripting language providing easy access to C code
lzo2-2.10_1                    Portable speedy, lossless data compression library
m4-1.4.18_1,1                  GNU M4
mesa-libs-18.3.2_3             OpenGL libraries that support GLX and EGL clients
meson-0.51.2                   High performance build system
mime-support-3.62              MIME Media Types list
minixmlto-0.0.2_1              Minimalistic alternative to xmlto
mod_php72-7.2.22               PHP Scripting Language
mpfr-4.0.2                     Library for multiple-precision floating-point computations
mrtg-2.17.4_7,1                Multi-router traffic grapher
mutt-1.12.1                    Small but powerful text based program for read/writing e-mail
mysql56-client-5.6.45          Multithreaded SQL database (client)
nagios-3.5.1_11                Powerful network monitoring system
nagios-check_ports-0.7.4       Monitor FreeBSD ports for updates or vulnerabilities
nagios-plugins-2.3.0,1         Plugins for Nagios
nasm-2.14.02,1                 General-purpose multi-platform x86 and amd64 assembler
net-snmp-5.7.3_20,1            Extendable SNMP implementation
nettle-3.5.1_1                 Low-level cryptographic library
nextcloud-php72-16.0.4         Personal cloud which runs on your own server
ninja-1.9.0,2                  Ninja is a small build system closest in spirit to Make
npth-1.6                       New GNU Portable Threads
nrpe3-3.2.1                    Nagios Remote Plugin Executor
nspr-4.24                      Platform-neutral API for system level and libc like functions
oniguruma-6.9.3                Regular expressions library compatible with POSIX/GNU/Perl
openjpeg15-1.5.2_1             Open-source JPEG 2000 codec
openldap-client-2.4.48         Open source LDAP client implementation
openssl-1.0.2t,1               SSL and crypto library
p11-kit-0.23.18.1              Library for loading and enumerating of PKCS#11 modules
p5-Authen-NTLM-1.09_1          Perl5 NTLM authentication module
p5-Cache-2.11                  Perl Cache interface
p5-Cache-Cache-1.08            Perl Cache interface
p5-Canary-Stability-2013       Checks what version of perl you're running and then complains about it
p5-Cpanel-JSON-XS-4.17         JSON::XS for Cpanel, fast and correct serialising
p5-Crypt-CBC-2.33_1            Perl5 interface to Cipher Block Chaining with DES and IDEA
p5-Crypt-DES-2.07_1            Perl5 interface to DES block cipher
p5-Crypt-OpenSSL-Bignum-0.09   OpenSSL's multiprecision integer arithmetic
p5-Crypt-OpenSSL-Guess-0.11    Guess OpenSSL include path
p5-Crypt-OpenSSL-RSA-0.31      Perl5 module to RSA encode and decode strings using OpenSSL
p5-Crypt-OpenSSL-Random-0.15   Perl5 interface to the OpenSSL pseudo-random number generator
p5-Date-Manip-6.78             Perl5 module containing date manipulation routines
p5-Digest-HMAC-1.03_1          Perl5 interface to HMAC Message-Digest Algorithms
p5-Digest-SHA1-2.13_1          Perl interface to the SHA-1 Algorithm
p5-EV-4.30,1                   Perl interface to libev, a high performance full-featured event loop
p5-Encode-Detect-1.01_1        Encode::Encoding subclass that detects the encoding of data
p5-Encode-Locale-1.05          Determine the locale encoding
p5-Error-0.17028               Error/exception handling in object-oriented programming style
p5-File-HomeDir-1.004          Get home directory for self or other users
p5-File-Listing-6.04_1         Parse directory listings
p5-File-NFSLock-1.29           File::NFSLock - perl module to do NFS (or not) locking
p5-File-Which-1.23             Portable implementation of which(1) in Perl
p5-HTML-Parser-3.72            Perl5 module for parsing HTML documents
p5-HTML-Tagset-3.20_1          Some useful data table in parsing HTML
p5-HTTP-Cookies-6.08           HTTP Cookie jars
p5-HTTP-Daemon-6.06            Simple HTTP server class
p5-HTTP-Date-6.05              Conversion routines for the HTTP protocol date formats
p5-HTTP-Message-6.18           Representation of HTTP style messages
p5-HTTP-Negotiate-6.01_1       Implementation of the HTTP content negotiation algorithm
p5-Heap-0.80_1                 Perl extensions for keeping data partially sorted
p5-IO-HTML-1.001_1             Open an HTML file with automatic charset detection
p5-IO-Socket-INET6-2.72_1      Perl module with object interface to AF_INET6 domain sockets
p5-IO-Socket-IP-0.39           Drop-in replacement for IO::Socket::INET supporting IPv4 and IPv6
p5-IO-Socket-SSL-2.066         Perl5 interface to SSL sockets
p5-IO-String-1.08_1            Simplified Perl5 module to handle I/O on in-core strings
p5-IPC-ShareLite-0.17_1        Simple interface to access shared memory
p5-JSON-MaybeXS-1.004000       Use Cpanel::JSON::XS with a fallback to JSON::PP
p5-LWP-MediaTypes-6.04         Guess media type for a file or a URL
p5-LWP-Protocol-https-6.07_1   Provide https support for LWP::UserAgent
p5-LWP-UserAgent-WithCache-0.12_1 LWP::UserAgent extension with local cache
p5-Locale-gettext-1.07         Message handling functions
p5-Mail-AuthenticationResults-1.20180923 Object Oriented Authentication-Results Headers
p5-Mail-DKIM-0.57              Perl5 module to process and/or create DKIM email
p5-Mail-SPF-2.9.0_5            Object-oriented implementation of Sender Policy Framework
p5-Mail-Tools-2.19             Perl5 modules for dealing with Internet e-mail messages
p5-Module-Build-0.4229         Build and install Perl modules
p5-Mojolicious-8.24            High-level MVC web framework written in Perl
p5-Mozilla-CA-20180117         Perl extension for Mozilla CA cert bundle in PEM format
p5-Net-CIDR-Lite-0.21_1        Perl extension for merging IPv4 or IPv6 CIDR addresses
p5-Net-DNS-1.21,1              Perl5 interface to the DNS resolver, and dynamic updates
p5-Net-DNS-Resolver-Mock-1.20171219 Mock a DNS Resolver object for testing
p5-Net-DNS-Resolver-Programmable-0.009 Programmable DNS resolver for off-line testing
p5-Net-HTTP-6.19               Low-level HTTP client
p5-Net-IDN-Encode-2.500        Internationalizing Domain Names in Applications (RFC 3490)
p5-Net-LibIDN-0.12_5           This module provides access to the libidn library
p5-Net-SNMP-6.0.1_1            Object oriented interface to SNMP
p5-Net-SSLeay-1.85             Perl5 interface to SSL
p5-NetAddr-IP-4.079            Work with IPv4 and IPv6 addresses and subnets
p5-Parse-Yapp-1.05_2           Perl extension for generating and using LALR parsers
p5-SNMP_Session-1.13_3         Perl5 module providing rudimentary access to SNMPv1 and v2 agents
p5-Socket6-0.29                IPv6 related part of the C socket.h defines and structure manipulators
p5-Sub-Uplevel-0.2800          Appear to run a function in a higher stack frame
p5-Test-Exception-0.43         Test functions for exception based code
p5-Test-NoWarnings-1.04_2      Hide and store warnings while running test scripts
p5-Time-Local-1.28             Efficiently compute time from local and GMT time
p5-TimeDate-2.30_2,1           Perl5 module containing a better/faster date parser for absolute dates
p5-Try-Tiny-0.30               Minimal try/catch with proper localization of $@
p5-URI-1.76                    Perl5 interface to Uniform Resource Identifier (URI) references
p5-URI-Encode-0.09_1           Simple URI Encoding/Decoding
p5-WWW-RobotRules-6.02_1       Database of robots.txt-derived permissions
p5-WWW-Telegram-BotAPI-0.10_1  Perl implementation of the Telegram Bot API
p5-XML-Parser-2.44             Perl extension interface to James Clark's XML parser, expat
p5-common-sense-3.74           Perl common defaults with lower memory usage
p5-libwww-6.43                 Perl5 library for WWW access
pciids-20191012                Database of all known IDs used in PCI devices
pcre-8.43_2                    Perl Compatible Regular Expressions library
pdflib-7.0.5_5                 C library for dynamically generating PDF
perl5-5.28.2                   Practical Extraction and Report Language
php72-7.2.25                   PHP Scripting Language
php72-bz2-7.2.25               The bz2 shared extension for php
php72-calendar-7.2.25          The calendar shared extension for php
php72-ctype-7.2.25             The ctype shared extension for php
php72-curl-7.2.25              The curl shared extension for php
php72-dom-7.2.25               The dom shared extension for php
php72-exif-7.2.25              The exif shared extension for php
php72-extensions-1.0           "meta-port" to install PHP extensions
php72-fileinfo-7.2.25          The fileinfo shared extension for php
php72-filter-7.2.25            The filter shared extension for php
php72-gd-7.2.25                The gd shared extension for php
php72-gettext-7.2.25           The gettext shared extension for php
php72-hash-7.2.25              The hash shared extension for php
php72-iconv-7.2.25             The iconv shared extension for php
php72-imap-7.2.25              The imap shared extension for php
php72-intl-7.2.25              The intl shared extension for php
php72-json-7.2.25              The json shared extension for php
php72-ldap-7.2.25              The ldap shared extension for php
php72-mbstring-7.2.25          The mbstring shared extension for php
php72-opcache-7.2.25           The opcache shared extension for php
php72-openssl-7.2.25           The openssl shared extension for php
php72-pcntl-7.2.25             The pcntl shared extension for php
php72-pdo-7.2.25               The pdo shared extension for php
php72-pdo_dblib-7.2.22         The pdo_dblib shared extension for php
php72-pdo_mysql-7.2.25         The pdo_mysql shared extension for php
php72-pdo_odbc-7.2.25          The pdo_odbc shared extension for php
php72-pdo_pgsql-7.2.25         The pdo_pgsql shared extension for php
php72-pdo_sqlite-7.2.25        The pdo_sqlite shared extension for php
php72-pecl-APCu-5.1.18         APC User Caching
php72-pecl-pdflib-4.1.3        PECL extension to create PDF on the fly
php72-pecl-smbclient-1.0.0_1   Smbclient wrapper extension
php72-pgsql-7.2.25             The pgsql shared extension for php
php72-phar-7.2.25              The phar shared extension for php
php72-posix-7.2.25             The posix shared extension for php
php72-session-7.2.25           The session shared extension for php
php72-simplexml-7.2.25         The simplexml shared extension for php
php72-sqlite3-7.2.25           The sqlite3 shared extension for php
php72-tokenizer-7.2.25         The tokenizer shared extension for php
php72-wddx-7.2.25              The wddx shared extension for php
php72-xml-7.2.25               The xml shared extension for php
php72-xmlreader-7.2.25         The xmlreader shared extension for php
php72-xmlrpc-7.2.25            The xmlrpc shared extension for php
php72-xmlwriter-7.2.25         The xmlwriter shared extension for php
php72-xsl-7.2.25               The xsl shared extension for php
php72-zip-7.2.25               The zip shared extension for php
php72-zlib-7.2.25              The zlib shared extension for php
pinentry-1.1.0_6               Collection of simple PIN or passphrase entry dialogs
pinentry-tty-1.1.0             Console version of the GnuPG password dialog
pixman-0.38.4                  Low-level pixel manipulation library
pkg-1.12.0                     Package manager
pkgconf-1.6.3,1                Utility to help to configure compiler and linker flags
png-1.6.37                     Library for manipulating PNG images
popt-1.16_2                    Getopt(3) like library with a number of enhancements, from Redhat
portmaster-3.19_18             Manage your ports without external databases or languages
portupgrade-2.4.16,2           FreeBSD ports/packages administration and management tool suite
postgresql95-client-9.5.20     PostgreSQL database (client)
py27-Babel-2.7.0               Collection of tools for internationalizing Python applications
py27-Jinja2-2.10.1             Fast and easy to use stand-alone template engine
py27-MarkupSafe-1.1.1          Implements XML/HTML/XHTML Markup safe string for Python
py27-acme-0.38.0,1             ACME protocol implementation in Python
py27-alabaster-0.7.6           Modified Kr Sphinx theme
py27-asn1crypto-0.24.0         ASN.1 library with a focus on performance and a pythonic API
py27-certifi-2019.9.11         Mozilla SSL certificates
py27-cffi-1.13.2               Foreign Function Interface for Python calling C code
py27-chardet-3.0.4_2           Universal encoding detector for Python 2 and 3
py27-configargparse-0.14.0     Drop-in replacement for argparse
py27-configobj-5.0.6_1         Simple but powerful config file reader and writer
py27-cryptography-2.6.1        Cryptographic recipes and primitives for Python developers
py27-cython-0.29_1             Compiler for Writing C Extensions for the Python Language
py27-dnspython-1.16.0          DNS toolkit for Python
py27-docutils-0.15.2           Python Documentation Utilities
py27-enum34-1.1.6              Python 3.4 Enum backported to 3.3, 3.2, 3.1, 2.7
py27-idna-2.8                  Internationalized Domain Names in Applications (IDNA)
py27-imagesize-1.1.0           Python image size library
py27-ipaddress-1.0.23          Port of Python 3.3+ ipaddress module to 2.7
py27-iso8601-0.1.12            Simple module to parse ISO 8601 dates
py27-josepy-1.2.0              JOSE protocol implementation in Python
py27-openssl-19.0.0            Python interface to the OpenSSL library
py27-parsedatetime-2.4_1       Python module for parsing 'human readable' date/time expressions
py27-pycparser-2.19            C parser in Python
py27-pygments-2.4.1            Syntax highlighter written in Python
py27-pyrfc3339-1.1             Generate and parse RFC 3339 timestamps
py27-pysocks-1.7.1             Python SOCKS module
py27-pystemmer-1.3.0_2         Snowball Stemming Algorithms for Information Retrieval
py27-pytest-runner-2.11.1      Test support for pytest runner in setup.py
py27-pytz-2019.3,1             World Timezone Definitions for Python
py27-requests-2.22.0           HTTP library written in Python for human beings
py27-requests-toolbelt-0.8.0_1 Utility belt for advanced users of python-requests
py27-setuptools-41.4.0         Python packages installer
py27-setuptools_scm-3.3.3      Setuptools plugin to manage your versions by scm tags
py27-six-1.12.0                Python 2 and 3 compatibility utilities
py27-snowballstemmer-1.2.1     Snowball stemming library collection for Python
py27-sphinx-1.6.5_2,1          Python documentation generator
py27-sphinx_rtd_theme-0.4.3    Mobile-friendly py-sphinx theme
py27-sphinxcontrib-websupport-1.1.2 Sphinx API for Web Apps
py27-typing-3.7.4              Type Hints for Python
py27-urllib3-1.25.6,1          HTTP library with thread-safe connection pooling, file post, and more
py27-zope.event-4.1.0          Very basic event publishing system
py36-Babel-2.7.0               Collection of tools for internationalizing Python applications
py36-CommonMark-0.9.1          Python parser for the CommonMark Markdown spec
py36-Jinja2-2.10.1             Fast and easy to use stand-alone template engine
py36-MarkupSafe-1.1.1          Implements XML/HTML/XHTML Markup safe string for Python
py36-alabaster-0.7.6           Modified Kr Sphinx theme
py36-asn1crypto-0.24.0         ASN.1 library with a focus on performance and a pythonic API
py36-certifi-2019.9.11         Mozilla SSL certificates
py36-cffi-1.13.2               Foreign Function Interface for Python calling C code
py36-chardet-3.0.4_2           Universal encoding detector for Python 2 and 3
py36-cryptography-2.6.1        Cryptographic recipes and primitives for Python developers
py36-cython-0.29_1             Compiler for Writing C Extensions for the Python Language
py36-docutils-0.15.2           Python Documentation Utilities
py36-future-0.18.2             Clean single-source support for Python 3 and 2
py36-idna-2.8                  Internationalized Domain Names in Applications (IDNA)
py36-imagesize-1.1.0           Python image size library
py36-openssl-19.0.0            Python interface to the OpenSSL library
py36-pycparser-2.19            C parser in Python
py36-pygments-2.4.1            Syntax highlighter written in Python
py36-pysocks-1.7.1             Python SOCKS module
py36-pystemmer-1.3.0_2         Snowball Stemming Algorithms for Information Retrieval
py36-pytest-runner-2.11.1      Test support for pytest runner in setup.py
py36-pytz-2019.3,1             World Timezone Definitions for Python
py36-recommonmark-0.5.0_1      CommonMark bridge for docutils and Sphinx
py36-requests-2.22.0           HTTP library written in Python for human beings
py36-setuptools-41.4.0         Python packages installer
py36-setuptools_scm-3.3.3      Setuptools plugin to manage your versions by scm tags
py36-six-1.12.0                Python 2 and 3 compatibility utilities
py36-snowballstemmer-1.2.1     Snowball stemming library collection for Python
py36-sphinx-1.6.5_2,1          Python documentation generator
py36-sphinx_rtd_theme-0.4.3    Mobile-friendly py-sphinx theme
py36-sphinxcontrib-websupport-1.1.2 Sphinx API for Web Apps
py36-urllib3-1.25.6,1          HTTP library with thread-safe connection pooling, file post, and more
python2-2_3                    The "meta-port" for version 2 of the Python interpreter
python27-2.7.17_1              Interpreted object-oriented programming language
python36-3.6.9_3               Interpreted object-oriented programming language
radiusclient-0.5.6_3           Client library and basic utilities for RADIUS AAA
razor-agents-2.84_1            Distributed, collaborative, spam detection and filtering network
re2c-0.14.3                    Compile regular expression to C (much faster final code than flex)
readline-8.0.0                 Library for editing command lines as they are typed
rhash-1.3.5                    Utility and library for computing and checking of file hashes
rrdtool12-1.2.30_7             Round Robin Database Tools v1.2
rtorrent-0.9.8                 BitTorrent Client written in C++
ruby-2.6.5,1                   Object-oriented interpreted scripting language
ruby24-2.4.7,1                 Object-oriented interpreted scripting language
ruby26-bdb-0.6.6_7             Ruby interface to Oracle Berkeley DB revision 2 or later
ruby26-gems-3.0.6              Package management framework for the Ruby language
rubygem-rdoc-6.1.2             RDoc produces HTML and command-line documentation for Ruby projects
samba46-4.6.16_3               Free SMB/CIFS and AD/DC server and client for Unix
scons-3.0.1                    Build tool alternative to make
screen-4.7.0_8                 Multi-screen window manager
sdocbook-xml-1.1_2,2           "Simplified" DocBook XML DTD
spamassassin-3.4.2_3           Highly efficient mail filter for identifying spam
sqlite3-3.30.1                 SQL database engine in a C library
sudo-1.8.27_1                  Allow others to run commands as root
swig30-3.0.12                  Generate wrappers for calling C/C++ code from other languages
t1lib-5.1.2_5,1                Type 1 font rasterization library for Unix/X11
talloc1-2.1.14                 Hierarchical pool based memory allocator
tdb1-1.3.16,1                  Trivial Database
tevent1-0.9.37                 Talloc based event loop library
tex-basic-engines-20150521     Basic TeX Engines
tex-kpathsea-6.2.1_2           Path searching library for TeX
tex-ptexenc-1.3.3_2            Library for Japanese pTeX and its tools
tex-web2c-20150521_3           TeX implementation translating WEB to C
texlive-tlmgr-20150523_2       TeXLive manager modules
tiff-4.0.10_1                  Tools and library routines for working with TIFF images
tpm-emulator-0.7.4_2           Trusted Platform Module (TPM) emulator
trousers-0.3.14_2              Open-source TCG Software Stack
unixODBC-2.3.7                 ODBC library suite for Unix
urlview-0.9.20131021_1         URL extractor/launcher
wayland-1.16.0_1               Wayland composite "server"
wayland-protocols-1.17         Wayland protocols
webp-1.0.3_1                   Google WebP image format conversion tool
wget-1.20.3                    Retrieve files from the Net via HTTP(S) and FTP
xcb-util-0.4.0_2,1             Module with libxcb/libX11 extension/replacement libraries
xcb-util-renderutil-0.3.9_1    Convenience functions for the Render extension
xmlcatmgr-2.2_2                SGML and XML catalog manager
xmlcharent-0.3_2               XML character entities
xmlrpc-c-1.51.03_1             XML-RPC library for C and C++
xorg-macros-1.19.2             X.Org development aclocal macros
xorgproto-2019.2               xorg protocol headers
xtrans-1.4.0                   Abstract network code for X
zip-3.0_1                      Create/update ZIP files compatible with PKZIP
zziplib-0.13.69_1              Library to provide transparent read access to zipped files


c) Well in the last post I have sent you all the output...


If you need more, give me a shout! :-)
Comment 5 Ekkehard 'Ekki' Gehm 2019-12-13 13:12:57 UTC
aeeemmm... is gnupg1 the problem maybe?
Comment 6 Adam Weinberger freebsd_committer 2019-12-13 13:16:13 UTC
Nope, not gnupg1. Just tested it, it builds cleanly (in poudriere) with gnupg1 present.
Comment 7 Adam Weinberger freebsd_committer 2019-12-13 13:18:03 UTC
Can you please attach config.log from the build directory? Also, what options are you building with?
Comment 8 Ekkehard 'Ekki' Gehm 2019-12-13 13:21:56 UTC
nope... samesame without...


Apropos: As it complains about " makeinfo: unrecognized option `--css-ref=/share/site.css'"

Ther is no such option in my makeinfo... 

BUT!!!:

(This System FreeBSD 12)

%makeinfo --version
makeinfo (GNU texinfo) 4.8

Copyright (C) 2004 Free Software Foundation, Inc.
There is NO warranty.  You may redistribute this software
under the terms of the GNU General Public License.
For more information about these matters, see the files named COPYING.

(Other system FreeBSD 11.3)
% makeinfo --version
texi2any (GNU texinfo) 6.7

Copyright (C) 2017 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.


I guess it's a problem with the basesystems makeinfo...

Ekki
Comment 9 Ekkehard 'Ekki' Gehm 2019-12-13 13:29:26 UTC
Created attachment 209912 [details]
The Config.log from the work dir

Here you are...
Comment 10 Adam Weinberger freebsd_committer 2019-12-13 13:32:11 UTC
Woah, okay that's the problem. You shouldn't have makeinfo in base. It was removed back in 11.0-RELEASE.

How are you upgrading your system? Are you using freebsd-update(1), or are you doing it manually? If you're doing it manually, are you running `make delete-old`?
Comment 11 Adam Weinberger freebsd_committer 2019-12-13 13:54:01 UTC
Ok. Sorry about asking for all the stuff! You clued me in to what I suspect was the underlying problem.

makeinfo should have been removed from /usr/bin in 11.0-RELEASE. When you upgraded, for whatever reason it wasn't removed. The ports tree make an allowance for /usr/bin/makeinfo, which prevented the real makeinfo from being installed from print/texinfo.

I've removed that allowance. Please update your ports tree and try the build again. I'm hoping it works for you now!


Let's also address the /usr/bin/makeinfo. It should have been removed when you upgraded to 11.0. If you're using freebsd-update, we need to bring in Colin to figure out why it wasn't deleted. If you're doing upgrades by hand, be sure to run `make delete-old` (and `make delete-old-libs`) after each upgrade.
Comment 12 Zilon 2019-12-14 19:43:25 UTC
I had the same issue on my machine running FreeBSD 12.1 with ezjail. Thanks for your analysis. Simply updating the ports tree did not solve it. Additionally I had to remove/rename /usr/bin/makeinfo in the basejail.

BR Zilon
Comment 13 Adam Weinberger freebsd_committer 2019-12-15 17:54:33 UTC
(In reply to Zilon from comment #12)

What you want to do is

# cd /usr/src 
# make delete-old

You need to do that after every installworld.

Perhaps we need to produce an error message if /usr/bin/makeinfo exists.
Comment 14 Adam Weinberger freebsd_committer 2019-12-30 17:36:13 UTC
I'm closing out this PR. The problem is /usr/bin/makeinfo existing, presumably when FreeBSD is updated from /usr/src and `make delete-old` wasn't run.

At some point we will need to talk about making more prominent the instructions regarding the need to run that command after EVERY FreeBSD upgrade.